Bug 733540 - cmake-fedora: With SETTING_FILE_GET_VARIABLE: variable="" in setting file should be read as empty string, not two double quotes.
Summary: cmake-fedora: With SETTING_FILE_GET_VARIABLE: variable="" in setting file sho...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake-fedora
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 23:24 UTC by Ding-Yi Chen
Modified: 2011-10-11 02:04 UTC (History)
1 user (show)

Fixed In Version: cmake-fedora-0.8.1-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-29 23:31:51 UTC


Attachments (Terms of Use)

Description Ding-Yi Chen 2011-08-25 23:24:39 UTC
Description of problem:
Assume setting file contains following statement:

VarX=""

After reading it with SETTING_FILE_GET_VARIABLE(VarX VarX Filename),
VarX is assigned as '""', not empty string ''.



Version-Release number of selected component (if applicable):
0.7.994

How reproducible:
Always

Steps to Reproduce:
1. Assume a setting file "SetF" contains following
VarX=""

2. Read it with SETTING_FILE_GET_VARIABLE(VarX VarX SetF)
3. MESSAGE("VarX=${VarX}")
  
Actual results:
""

Expected results:
Nothing (VarX is empty string)

Comment 1 Fedora Update System 2011-09-20 07:17:31 UTC
cmake-fedora-0.8.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cmake-fedora-0.8.1-1.fc16

Comment 2 Fedora Update System 2011-09-20 07:17:53 UTC
cmake-fedora-0.8.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cmake-fedora-0.8.1-1.fc15

Comment 3 Fedora Update System 2011-09-20 07:18:17 UTC
cmake-fedora-0.8.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cmake-fedora-0.8.1-1.fc14

Comment 4 Fedora Update System 2011-09-20 07:18:38 UTC
cmake-fedora-0.8.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake-fedora-0.8.1-1.el6

Comment 5 Fedora Update System 2011-09-20 07:19:11 UTC
cmake-fedora-0.8.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cmake-fedora-0.8.1-1.el5

Comment 6 Fedora Update System 2011-09-20 19:04:40 UTC
Package cmake-fedora-0.8.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cmake-fedora-0.8.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/cmake-fedora-0.8.1-1.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-09-29 23:31:40 UTC
cmake-fedora-0.8.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-09-29 23:32:40 UTC
cmake-fedora-0.8.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-09-30 18:37:03 UTC
cmake-fedora-0.8.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-11 02:02:51 UTC
cmake-fedora-0.8.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-10-11 02:04:20 UTC
cmake-fedora-0.8.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.